org.springframework.web.socket.config.annotation

## Class DelegatingWebSocketMessageBrokerConfiguration

- java.lang.Object
- - org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration
  - - org.springframework.web.socket.config.annotation.WebSocketMessageBrokerConfigurationSupport
    - - org.springframework.web.socket.config.annotation.DelegatingWebSocketMessageBrokerConfiguration

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

    @Configuration
    public class DelegatingWebSocketMessageBrokerConfiguration
    extends WebSocketMessageBrokerConfigurationSupport

A `WebSocketMessageBrokerConfigurationSupport` extension that detects beans of type `WebSocketMessageBrokerConfigurer` and delegates to all of them allowing callback style customization of the configuration provided in `WebSocketMessageBrokerConfigurationSupport`.

This class is typically imported via `EnableWebSocketMessageBroker`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`DelegatingWebSocketMessageBrokerConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addArgumentResolvers(List<org.springframework.messaging.handler.invocation.HandlerMethodArgumentResolver> argumentResolvers)`
`protected void` `addReturnValueHandlers(List<org.springframework.messaging.handler.invocation.HandlerMethodReturnValueHandler> returnValueHandlers)`
`protected void` `configureClientInboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)`
`protected void` `configureClientOutboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)`
`protected void` `configureMessageBroker(org.springframework.messaging.simp.config.MessageBrokerRegistry registry)`
`protected boolean` `configureMessageConverters(List<org.springframework.messaging.converter.MessageConverter> messageConverters)`
`protected void` `configureWebSocketTransport(WebSocketTransportRegistration registration)`
`protected void` `registerStompEndpoints(StompEndpointRegistry registry)`
`void` `setConfigurers(List<WebSocketMessageBrokerConfigurer> configurers)`

### Methods inherited from class org.springframework.web.socket.config.annotation.WebSocketMessageBrokerConfigurationSupport

`createAnnotationMethodMessageHandler, createJacksonConverter, createLocalUserRegistry, decorateWebSocketHandler, getTransportRegistration, stompWebSocketHandlerMapping, subProtocolWebSocketHandler, webSocketMessageBrokerStats, webSocketScopeConfigurer`

### Methods inherited from class org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration

`brokerChannel, brokerChannelExecutor, brokerMessageConverter, brokerMessagingTemplate, clientInboundChannel, clientInboundChannelExecutor, clientOutboundChannel, clientOutboundChannelExecutor, createLocalUserRegistry, getApplicationContext, getBrokerRegistry, getClientInboundChannelRegistration, getClientOutboundChannelRegistration, getPathMatcher, getValidator, messageBrokerTaskScheduler, setApplicationContext, simpAnnotationMethodMessageHandler, simpleBrokerMessageHandler, simpValidator, stompBrokerRelayMessageHandler, userDestinationMessageHandler, userDestinationResolver, userRegistry, userRegistryMessageHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingWebSocketMessageBrokerConfiguration

    public DelegatingWebSocketMessageBrokerConfiguration()

### Method Detail

#### setConfigurers

    @Autowired(required=false)
    public void setConfigurers(List<WebSocketMessageBrokerConfigurer> configurers)

#### registerStompEndpoints

    protected void registerStompEndpoints(StompEndpointRegistry registry)

Specified by:
  `registerStompEndpoints` in class `WebSocketMessageBrokerConfigurationSupport`

#### configureWebSocketTransport

    protected void configureWebSocketTransport(WebSocketTransportRegistration registration)

Overrides:
  `configureWebSocketTransport` in class `WebSocketMessageBrokerConfigurationSupport`

#### configureClientInboundChannel

    protected void configureClientInboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)

Overrides:
  `configureClientInboundChannel` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### configureClientOutboundChannel

    protected void configureClientOutboundChannel(org.springframework.messaging.simp.config.ChannelRegistration registration)

Overrides:
  `configureClientOutboundChannel` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### addArgumentResolvers

    protected void addArgumentResolvers(List<org.springframework.messaging.handler.invocation.HandlerMethodArgumentResolver> argumentResolvers)

Overrides:
  `addArgumentResolvers` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### addReturnValueHandlers

    protected void addReturnValueHandlers(List<org.springframework.messaging.handler.invocation.HandlerMethodReturnValueHandler> returnValueHandlers)

Overrides:
  `addReturnValueHandlers` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### configureMessageConverters

    protected boolean configureMessageConverters(List<org.springframework.messaging.converter.MessageConverter> messageConverters)

Overrides:
  `configureMessageConverters` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### configureMessageBroker

    protected void configureMessageBroker(org.springframework.messaging.simp.config.MessageBrokerRegistry registry)

Overrides:
  `configureMessageBroker` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`